


<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<title>ExtentReports</title>
	<meta name="description" content="extent" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimal-ui" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-barstyle" content="black-translucent">
	<meta name="apple-mobile-web-app-title" content="extent">
	<meta name="mobile-web-app-capable" content="yes">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/logger/css/logger-style.css" type="text/css" />
</head>
	<body class="standard">
		<div class="app" id="app">
<div id="aside" class="app-aside fade box-shadow-x folded dark">
	<div class="sidenav modal-dialog dk">
		<div class="navbar">
			<a href="#" class="navbar-brand">
			<span class="d-inline small"><img src="https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/commons/img/logo.png"></span>
			</a>
		</div>
		<div class="flex hide-scroll">
			<div class="scroll">
				<div class="nav-border b-primary">
					<ul class="nav bg">
						<li>
							<a href="index.html">
							<span class="nav-icon">
							<i class="fa fa-align-left"></i>
							</span>
							<span class="nav-text">Tests</span>
							</a>
						</li>
												<li>
							<a href="tag.html">
							<span class="nav-icon">
							<i class="fa fa-tag"></i>
							</span>
							<span class="nav-text">Tags</span>
							</a>
						</li>
						<li>
							<a href="exception.html">
							<span class="nav-icon">
							<i class="fa fa-warning"></i>
							</span>
							<span class="nav-text">Exceptions</span>
							</a>
						</li>
						<li>
							<a href="dashboard.html">
							<span class="nav-icon">
							<i class="fa fa-dashboard"></i>
							</span>
							<span class="nav-text">Dashboard</span>
							</a>
						</li>
						<li class="pb-2 hidden-folded"></li>
					</ul>
				</div>
			</div>
		</div>
		<div class="no-shrink">
			<div class="nav-fold">
				<a id="lightsout" class="d-flex p-2-3"><span><i class="fa fa-desktop"></i></span></a>
				<div class="hidden-folded flex p-2-3 bg">
					<div class="d-flex p-1">
						<a href="http://github.com/extent-framework/extentreports" class="flex text-nowrap"><i class="fa fa-github"></i></a>
						<a href="http://extentreports.com" class="px-2"><i class="fa fa-book"></i></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>			<div id="content" class="app-content box-shadow-0" role="main">
				<div class="content-header white box-shadow d-lg-none" id="content-header">
					<div class="navbar navbar-expand-lg">
						<a class="d-lg-none mx-2" data-toggle="modal" data-target="#aside">
							<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 512 512">
								<path d="M80 304h352v16H80zM80 248h352v16H80zM80 192h352v16H80z"/>
							</svg>
						</a>
						<div class="navbar-text nav-title flex" id="pageTitle"><img src="logo.png"></div>
					</div>
				</div>
				<div class="content-main d-flex flex" id="content-main">
					<div class="d-flex flex fixed-height">

<div class="fade aside aside-sm b-r" id="content-aside">
	<div class="modal-dialog d-flex flex-column h-100">
		<div class="navbar box-shadow">
			<div class="input-group flex mr-1">
              	<input id="qt" type="text" class="form-control px-0 no-bg no-border no-shadow search" placeholder="Search..." required="">
              	<span class="input-group-btn">
                	<button class="btn no-bg no-border no-shadow" type="button"><i class="fa fa-search text-muted text-xs"></i></button>
              	</span>
            </div>
		</div>
		<div class="scrollable hover">
			<div class="list inset">
				<div class="p-2 px-3 text-muted text-sm">Tags</div>
					<div class="list-item attr">
						<div class="list-body">
							<a href="#" class="item-title _500">java.lang.NullPointerException</a>
							<div class="item-except text-sm text-muted h-1x">
								1 tests
							</div>
							<div class="tc d-none">
								<h5 class="mb-4">java.lang.NullPointerException</h5>
								<table class="table">
									<thead><tr>
										<th id="status-col"></th>
										<th>Test</th>
										<th>Duration</th>
										<th>Attributes</th>
										<th>Media</th>
										<th>Source</th>
									</tr></thead>
									<tbody>
	
<tr class="s-fail" test-id="16" parent-id="1">
	<td><span class="w-32 avatar circle fail"><span class="badge">fail</span></span></td>
	<td class="_600">Hooks.addJiraReport() <br/><span class="text-muted text-sm">View Patient Blood Pressure Details</span></td>
	<td>0h 0m 1s+645msc</td>
	<td></td>
	<td>
	</td>
	<td class="static"><i class="static fa fa-external-link"></i></td>
</tr>
<tr class="details">
	<td colspan="5">
		
		<textarea disabled class="code-block">java.lang.NullPointerException
	at com.thed.zephyr.cloud.rest.client.impl.JwtGeneratorImpl.generateJWT(JwtGeneratorImpl.java:157)
	at automation.library.jira.core.Generator.test(Generator.java:34)
	at automation.library.jira.core.JiraExecution.postRequest(JiraExecution.java:45)
	at hooks.Hooks.addJiraReport(Hooks.java:33)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at cucumber.runtime.Utils$1.call(Utils.java:26)
	at cucumber.runtime.Timeout.timeout(Timeout.java:16)
	at cucumber.runtime.Utils.invoke(Utils.java:20)
	at cucumber.runtime.java.JavaHookDefinition.execute(JavaHookDefinition.java:65)
	at cucumber.runner.HookDefinitionMatch.runStep(HookDefinitionMatch.java:16)
	at cucumber.runner.TestStep.executeStep(TestStep.java:65)
	at cucumber.runner.TestStep.run(TestStep.java:50)
	at cucumber.runner.TestCase.run(TestCase.java:50)
	at cucumber.runner.Runner.runPickle(Runner.java:50)
	at io.cucumber.testng.TestNGCucumberRunner.runScenario(TestNGCucumberRunner.java:79)
	at automation.library.cucumber.selenium.RunnerClassSequential.runScenario(RunnerClassSequential.java:48)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:124)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:583)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:719)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:989)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:125)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:109)
	at org.testng.TestRunner.privateRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:505)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:455)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:450)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:415)
	at org.testng.SuiteRunner.run(SuiteRunner.java:364)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:84)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1208)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1137)
	at org.testng.TestNG.runSuites(TestNG.java:1049)
	at org.testng.TestNG.run(TestNG.java:1017)
	at com.intellij.rt.testng.IDEARemoteTestNG.run(IDEARemoteTestNG.java:66)
	at com.intellij.rt.testng.RemoteTestNGStarter.main(RemoteTestNGStarter.java:110)
</textarea>
	</td>
</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
			</div>
		</div>
	</div>
</div>						<div class="d-flex flex" id="content-body">
							<div class="d-flex flex-column flex white">
								<div class="navbar flex-nowrap box-shadow">
									<a data-toggle="modal" data-target="#content-aside" data-modal class="mr-1 d-md-none">
									<span class="btn btn-sm btn-icon primary">
									<i class="fa fa-th"></i>
									</span>
									</a>
									<div class="input-group flex mr-1 hidden-sm-down">
						              	<input id="qc" type="text" class="form-control px-0 no-bg no-border no-shadow search" placeholder="Search..." required="">
						              	<span class="input-group-btn">
						                	<button class="btn no-bg no-border no-shadow" type="button"><i class="fa fa-search text-muted text-xs"></i></button>
						              	</span>
						            </div>
									<ul class="nav nav-xs flex-row no-border pull-right">
<li><a href="#" class="b-l"><span class="badge badge-pull">ExtentReports</span></a></li>
<li><a href="#" class="b-l"><span class="badge badge-pull">Apr 10, 2020 02:29:37 PM</span></a></li>
<li><a href="#" class="b-l"><span class="badge badge-pull">4.0</span></a></li>
								    </ul>
								</div>
								<div class="scroll-y">
									<div id="tcp" class="p-3"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<script src="https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/commons/js/attr.js"></script>
	</body>
</html>

